Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83766 - EVP_DecryptInit coredumps if ctx not initialized
Summary: EVP_DecryptInit coredumps if ctx not initialized
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssl
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL: http://www.aet.TU-Cottbus.DE/rt2/Tick...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-08 00:36 UTC by Henrik Nordstrom
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-30 11:31:39 UTC


Attachments (Terms of Use)

Description Henrik Nordstrom 2003-02-08 00:36:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.1 i586)

Description of problem:
Contrary to the documentation EVP_DecryptInit coredumps if the EVP context is
not initialized.

openssl-0.9.7-3

The OpenSSL team reports that this bug was fixed a couple of weeks ago.

Also received the following oneliner which from another user:


Date: Fri, 7 Feb 2003 11:57:35 -0800
From: Larry West <lwest@Entropia.com>
To: hno@marasystems.com
Subject: Re: [openssl.org #494] 0.9.7 EVP_DecryptInit coredumps if ctx not
    initialized 

I haven't checked, but this may already be fixed in the latest source.  In any
case, there's a one-line fix (I ran into the same problem): change
EVP_DecryptInit() so that it calls EVP_CipherInit() rather than
EVP_CipherInit_Ex().


> my one line fix would be to change line 239
> of crypto\evp\evp_enc.c (in EVP_DecryptInit())
> 
> from:
> 
>       return EVP_CipherInit_ex(ctx, cipher, NULL, key, iv, 0);
> 
> to:
>       return EVP_CipherInit(ctx, cipher, key, iv, 0);
> 

And the OpenSSL team response to this fix was:

From: Dr. Stephen Henson [mailto:steve@openssl.org]
Sent: Thursday, January 16, 2003 16:46
To: openssl-dev@openssl.org
Subject: Re: Apparent bug: OpenSSL 0.9.7 crypto/evp_enc.c
EVP_DecryptInit()


Agreed, fix being checked in. Thanks for the report.

Steve.



The response I received from the OpenSSL team:

Date: Fri,  7 Feb 2003 21:05:07 +0100 (MET)
From: Stephen Henson via RT <rt@openssl.org>
To: hno@marasystems.com
Cc: openssl-dev@openssl.org
Subject: [openssl.org #494] 0.9.7 EVP_DecryptInit coredumps if ctx not
    initialized 

> Contrary to the documentation EVP_DecryptInit requires the ctx to be
> initialized in OpenSSL 0.9.7  (RedHat openssl 0.9.7-3 i686)
> 

This was fixed a couple of weeks back. The fix is in any 0.9.7 stable
snapshot and will appear in 0.9.7.





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See OpenSSL bug report linked in the URL field.

Additional info:

Comment 1 Nalin Dahyabhai 2003-02-11 04:51:27 UTC
Fixing in 0.9.7-6.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.